#include <catch2/catch.hpp>
#include "../interface/SimClusterMerger.h"

TEST_CASE("SimClusterMerger_DefaultConstructor") {
  SimClusterMerger scMerger;
  REQUIRE(scMerger.hits() == nullptr);
  REQUIRE(scMerger.recEnergy(SimCluster()) == 0);
}

TEST_CASE("SimClusterMerger_ThresholdSetters") {
  SimClusterMerger scMerger;
  scMerger.setHighEfracThreshold(0.5);
  scMerger.setConnectThreshold(0.5);
  REQUIRE(scMerger.getIsHighEfracThreshold() == 0.5);
  REQUIRE(scMerger.getConnectThreshold() == 0.5);
}