#include <catch2/catch.hpp>
#include "../interface/ROOTLoader.h"

TEST_CASE("ROOTLoader_DefaultConstructor") {
  ROOTLoader rootLoader;
  REQUIRE(rootLoader.getHitsSoA().size() == 0);
  REQUIRE(rootLoader.getSimShowers().size() == 0);
  REQUIRE(rootLoader.getSimTracks().size() == 0);
  REQUIRE(rootLoader.getSimVertices().size() == 0);
}

TEST_CASE("ROOTLoader_InvalidFile") {
  REQUIRE_THROWS_AS(ROOTLoader("invalid.root", "testTree"), std::runtime_error);
}
